Last Comment Bug 855666 - Firefox Nighty 22.0a1 opens blank page instead of calling the third-party PDF reader plugin
: Firefox Nighty 22.0a1 opens blank page instead of calling the third-party PDF...
Status: VERIFIED FIXED
[pdfjs-c-integration] https://github....
: regression
Product: Firefox
Classification: Client Software
Component: PDF Viewer (show other bugs)
: 22 Branch
: x86 Windows Vista
: P1 normal with 1 vote (vote)
: Firefox 23
Assigned To: Yury Delendik (:yury)
:
Mentors:
: 863269 (view as bug list)
Depends on: 861399
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-28 05:40 PDT by rshimazu
Modified: 2013-07-12 04:08 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
+
verified
verified


Attachments
Fixes pdf application switching (for aurora uplift) (7.21 KB, patch)
2013-04-17 08:42 PDT, Yury Delendik (:yury)
bdahl: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Review

Description rshimazu 2013-03-28 05:40:14 PDT
User Agent: Mozilla/5.0 (Windows NT 6.0; rv:22.0) Gecko/20130327 Firefox/22.0
Build ID: 20130327031035

Steps to reproduce:

With Firefox Nighty 22.0a1, I tried to disable pdf.js.




Actual results:

With Firefox Nighty 22.0a1 I have to set pdfjs.disabled true in about:config after I change PDF handler from "Preview in Nighty" to "Use Adobe Acrobat in Nighty" (Tools->Option->Applications).


Expected results:

With Firefox 20 beta I just have to change PDF handler at Tools->Option->Application. I just do not need to change settings in about:config.
So I expect that to disable pdf.js is easier with Firefox Nighty 22.0a1 as well.
Comment 1 rshimazu 2013-03-28 05:48:36 PDT
If I just change PDF handler from "Preview in Nighty" to "Use Adobe Acrobat in Nighty" (Tools->Option->Applications) without changing the settings in about:config, I just can not see any PDFs within the browser. All blank(white) PDFs. With Firefox Nighty 22.0a1, I need to change the settings in about:config as well and have to set pdfjs.disabled true.

This setting is too difficult for ordinary people. So I want this setting as easy as Firefox 20 beta.
Comment 2 rshimazu 2013-03-28 08:51:16 PDT
I did further tests with Firefox Aurora 21.0a2.

*Firefox 21.0.a2 without installing pdf.js addon. --> No problem.
(The version of pdf.js is 0.7.236)

*Firefox 21.0.a2 with pdf.js(0.7.361) addon -> No problem.

*Firefox 21.0.a2 with pdf.js(0.7.369) addon-> I see the problem when enabling Adobe Reader.

So it seems that the problem begins with 0.7.369.

I guess this issue is related with the fix in Bug 738967
Comment 3 Loic 2013-03-29 06:02:08 PDT
Yes, it's a recent regression, I can cofirm too with Zeon Plus plugin. Using a 3rd-party PDF reader plugin (in Options > Applications) opens blank page instead of caling the plugin to open the PDF document.

Regression range:
m-c
good=2013-03-26
bad=2013-03-27
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=456cb08f8509&tochange=178a4a770bb1

Suspected bug:
Ryan VanderMeulen — Bug 852981 - Update pdf.js to version 0.7.390. r=bdahl
Comment 4 Yury Delendik (:yury) 2013-03-29 14:44:14 PDT
fwiw interesting workaround:
1. in Options > Applications, for PDF select "Always Ask" and apply changes
2. in Options > Applications, for PDF select "Use Adobe Acrobat (in Nighty)" and apply changes;
Comment 5 rshimazu 2013-04-01 15:06:41 PDT
I tested again with Firefox 22.0a1 (2013-04-01).
Without pdf.js addon 0.7.423 it is now fine. In other words, if I disable pdf.js addon at Add-ons Manager, it is fine.

But with pdf.js addon 0.7.423 the problem still seems to continue.
Comment 6 Yury Delendik (:yury) 2013-04-01 15:08:25 PDT
> But with pdf.js addon 0.7.423 the problem still seems to continue.

Uninstall the addon -- I am not sure why you will need it
Comment 7 Alex Keybl [:akeybl] 2013-04-01 15:10:39 PDT
(In reply to Yury Delendik (:yury) from comment #6)
> > But with pdf.js addon 0.7.423 the problem still seems to continue.
> 
> Uninstall the addon -- I am not sure why you will need it

Won't this affect a large number of users? Or are you suggesting that only those who installed external versions of PDF.js are affected.
Comment 8 Yury Delendik (:yury) 2013-04-01 15:15:08 PDT
(In reply to Alex Keybl [:akeybl] from comment #7)

> those who installed external versions of PDF.js are affected.

I think the reporter mean, those who installed external versions of PDF.js and selected not to preview PDF with Tools->Option->Applications. That's unreal use case IMHO
Comment 9 Alice0775 White 2013-04-01 15:24:06 PDT
I can reproduce the problem without any addon.

http://hg.mozilla.org/mozilla-central/rev/0b7c27024048
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:22.0) Gecko/20130401 Firefox/22.0 ID:20130401030817
Comment 10 Yury Delendik (:yury) 2013-04-01 15:38:56 PDT
(In reply to Alice0775 White from comment #9)
> I can reproduce the problem without any addon.
> 
> http://hg.mozilla.org/mozilla-central/rev/0b7c27024048
> Mozilla/5.0 (Windows NT 6.1; WOW64; rv:22.0) Gecko/20130401 Firefox/22.0
> ID:20130401030817

The fix was merged today with bug 856383

https://hg.mozilla.org/mozilla-central/rev/77578bde1c1c
Comment 11 rshimazu 2013-04-01 19:20:26 PDT
(In reply to Yury Delendik (:yury) from comment #8)
> I think the reporter mean, those who installed external versions of PDF.js
> and selected not to preview PDF with Tools->Option->Applications. That's
> unreal use case IMHO

Yes, it is a rare case. If the case is that those who installed external version of PDF.js will keep seeing PDFs with pdf.js unless they disable external version of PDF.js, it is just fine. 

But in reality, those who installed external version of PDF.js, once they selected not to preview PDF with Tools->Option->Application, will see a blank page (No pdf at all) unless they disable external version of PDF.js. They can not see any PDF with pdf.js addon nor with Adobe Reader. This is confusing at least to me.

When they select not to preview PDF with Tools->Option->Application, if external version of pdf.js is automatically disabled, it is fine, but this may not be what I should discuss here.
Comment 12 Yury Delendik (:yury) 2013-04-02 04:28:24 PDT
That would be an issue with the extension and must be tracked at https://github.com/mozilla/pdf.js/issues . I guess we have to disable the embed tag support for the extension.
Comment 13 Yury Delendik (:yury) 2013-04-02 10:34:57 PDT
Something is missing, after Firefox is restarted the problem appearing again.
Comment 14 rshimazu 2013-04-02 14:38:27 PDT
Yes, it started again with Firefox 23.0a1 (2013-04-02).
If a fix for Bug 738967 is the cause, how about removing the fix for Bug 738967 for the moment?
In my opinion, to support for embedded PDF with pdf.js is not essential at all.
Comment 15 rshimazu 2013-04-07 04:01:23 PDT
I tested again width Aurora 22.0a2 (2013-04-05) and with Nighty 23.0a1 (2013-04-06).
But it does not seem to me that the problem has been fixed. 

> https://github.com/mozilla/pdf.js/pull/3036
Has this fix not been applied yet?
Comment 16 Yury Delendik (:yury) 2013-04-17 08:25:05 PDT
Fixed in Nightly (4-17-2013)
Comment 17 Yury Delendik (:yury) 2013-04-17 08:42:42 PDT
Created attachment 738545 [details] [diff] [review]
Fixes pdf application switching (for aurora uplift)

https://tbpl.mozilla.org/?tree=Try&rev=d2ed080c3810
Comment 18 Yury Delendik (:yury) 2013-04-17 09:48:04 PDT
Comment on attachment 738545 [details] [diff] [review]
Fixes pdf application switching (for aurora uplift)

[Approval Request Comment]
Bug caused by (feature/regressing bug #): Bug 738967
User impact if declined: Unable to switch to the third-party PDF Viewer plugin
Testing completed (on m-c, etc.): on m-c
Risk to taking this patch (and alternatives if risky): low, affects internal PDF Viewer logic responsible for its enabling/disabling
String or IDL/UUID changes made by this patch: --
Comment 19 rshimazu 2013-04-17 14:40:35 PDT
(In reply to Yury Delendik (:yury) from comment #16)
> Fixed in Nightly (4-17-2013)

I also confirmed the fix in Nightly (4-17-2013). Thank you.
Comment 20 Scoobidiver (away) 2013-04-18 07:49:49 PDT
*** Bug 863269 has been marked as a duplicate of this bug. ***
Comment 21 Brendan Dahl [:bdahl] 2013-04-18 16:47:09 PDT
Comment on attachment 738545 [details] [diff] [review]
Fixes pdf application switching (for aurora uplift)

Review of attachment 738545 [details] [diff] [review]:
-----------------------------------------------------------------

Also reviewed by mossop in https://github.com/mozilla/pdf.js/pull/3036#issuecomment-15856712
Comment 22 Ryan VanderMeulen [:RyanVM] 2013-04-24 05:56:32 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/6e68a0402b97

Fixed on trunk by bug 861399.
Comment 23 Bogdan Maris, QA [:bogdan_maris] 2013-05-23 09:53:08 PDT
Mozilla/5.0 (Windows NT 6.0; rv:22.0) Gecko/20100101 Firefox/22.0
Mozilla/5.0 (Windows NT 6.0; rv:24.0) Gecko/20130523 Firefox/24.0

Verified as fixed in Firefox 22 beta 2 (buildID: 20130521223249) and latest Nightly (buildID: 20130523030935).
Comment 24 rshimazu 2013-06-30 07:22:54 PDT
It seems that Aurora 24.0a2 (2013-06-29) and Nighty 25.0.a1 have the same issue again.
Comment 25 Alice0775 White 2013-06-30 07:45:02 PDT
(In reply to rshimazu from comment #24)
> It seems that Aurora 24.0a2 (2013-06-29) and Nighty 25.0.a1 have the same
> issue again.

Please file a new bug.
Comment 26 Alice0775 White 2013-06-30 08:20:29 PDT
(In reply to rshimazu from comment #24)
> It seems that Aurora 24.0a2 (2013-06-29) and Nighty 25.0.a1 have the same
> issue again.

(In reply to Alice0775 White from comment #25)
> (In reply to rshimazu from comment #24)
> > It seems that Aurora 24.0a2 (2013-06-29) and Nighty 25.0.a1 have the same
> > issue again.
> 
> Please file a new bug.

already filed, see Bug 879161
Comment 27 Cornel Ionce [QA] (:cornel_ionce) 2013-07-12 04:08:16 PDT
Mozilla/5.0 (Windows NT 6.0; rv:23.0) Gecko/20100101 Firefox/23.0

Verified as fixed in Firefox 23 beta 5 (build ID: 20130711122148).

Note You need to log in before you can comment on or make changes to this bug.